# Ping

A decision block that checks if a host is reachable.

The fiber will pause until the host has been reached, or the timeout expired.

If the local device lack network access or otherwise can’t perform a ping, then this block doesn’t go through the NO path but instead fail, since a local connectivity problem may not necessarily mean the remote host is unreachable, use the Failure catch block to handle such failures.

Note! This block may not work on devices that have restricted apps from sending ICMP (ping) packet. Try without selecting a network interface.

## Input arguments

- Host or IP address — hostname or IP address of server to ping.
- Protocol — which IP version to use, default is IPv4.
- Network interface — which network interface to ping through, default is the default data network interface. (Android 5+)
- Maximum hops — maximum hops to reach host, default is system dependant.
- Timeout — time until the ping is canceled with, default is 3 seconds.